Main Page Class List Class Members

# Nv::Blast::MeshNoiser Class Reference

`#include <NvBlastExtAuthoringMeshNoiser.h>`

List of all members.

## Public Types
enum | EdgeFlag { INTERNAL_EDGE, EXTERNAL_BORDER_EDGE, INTERNAL_BORDER_EDGE, EXTERNAL_EDGE, NONE }
## Public Member Functions
void | applyNoise (SimplexNoise &noise, float falloff, int32_t relaxIterations, float relaxFactor)
std::vector< Triangle > | getMesh ()
| MeshNoiser ()
void | reset ()
void | setMesh (const std::vector< Triangle > &mesh)
void | tesselateInternalSurface (float maxLen)

## Detailed Description

Tool for graphic mesh tesselation and adding noise to internal surface. Each triangle must have initialized Triangle::userInfo field (0 for external surface triangles and != 0 for internal)

## Member Enumeration Documentation

enum Nv::Blast::MeshNoiser::EdgeFlag

Edge flags

Enumerator:

  INTERNAL_EDGE |
  EXTERNAL_BORDER_EDGE |
  INTERNAL_BORDER_EDGE |
  EXTERNAL_EDGE |
  NONE |

## Constructor & Destructor Documentation

Nv::Blast::MeshNoiser::MeshNoiser | ( |  | ) | `[inline]`

## Member Function Documentation

void Nv::Blast::MeshNoiser::applyNoise | ( | SimplexNoise & | noise,
|  | float | falloff,
|  | int32_t | relaxIterations,
|  | float | relaxFactor |
| ) |  |  |

Apply noise to internal surface. Must be called only after tesselation!!!

Parameters:

  `[in]` | noise | - noise generator
  `[in]` | falloff | - damping of noise around of external surface
  `[in]` | relaxIterations | - number of smoothing iterations before applying noise
  `[in]` | relaxFactor | - amount of smooting before applying noise.

std::vector<Triangle> Nv::Blast::MeshNoiser::getMesh | ( |  | ) |

void Nv::Blast::MeshNoiser::reset | ( |  | ) |

void Nv::Blast::MeshNoiser::setMesh | ( | const std::vector< Triangle > & | mesh | ) |

Set mesh to tesselate and apply noise

void Nv::Blast::MeshNoiser::tesselateInternalSurface | ( | float | maxLen | ) |

Tesselate internal surface.

Parameters:

  `[in]` | maxLen | - maximal length of edge on internal surface.

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/NvBlastExtAuthoringMeshNoiser.h